Subject: Re: #define Win32_Winsock fails in 1.1.8
From: [email-masked]
To: Earnie Boyd <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 8 Mar 2001 19:04:13 -0500

I'll get right on it but it may take me a few days.

Matt

                                                                                                                                   
                    Earnie Boyd                                                                                                    
                    <[email-masked]        To:     [email-masked]                                                  
                    m>                           cc:     [email-masked]                                                         
                    Sent by:                     Subject:     Re: #define Win32_Winsock fails in 1.1.8                             
                    cygwin-owner@sources.                                                                                          
                    redhat.com                                                                                                     

                    03/08/01 04:45 PM                                                                                              
                    Please respond to                                                                                              
                    Earnie Boyd                                                                                                    

[email-masked] wrote:
>
> I'm definitely not using WIN32_LEAN_AND_MEAN.   In fact I've run the file
> through gcc -E and found that the appropriate headers ARE being included
> the problem is that sys/types.h is ALSO being included and should NOT be
> until AFTER winsock.h is included.  It is unfortunately included before.
> The header files are VERY complicated and I don't know the conventions
that
> are used to ensure they work consistently.  I am more than happy to
develop
> a patch.  Is there anywhere that defines the header file conding
> conventions that I can read so I can be sure not to screw something else
> up.
>

Matt, can you please provide a simple test case?

Earnie.

_________________________________________________________
Do You Yahoo!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple